Skip to content

Update a label

Request

Updates an existing label or label group with the specified attributes. Admins only. Non-group labels can be moved between groups or back to the root by updating parent_uuid.

Path
idstringrequired

Label UUID

Bodyapplication/json
labelobjectrequired
PUT
/rest/v2/labels/{id}
curl -i -X PUT \
  'https://api.rhythms.ai/rest/v2/labels/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "label": {
      "name": "string",
      "description": "string",
      "parent_uuid": "string",
      "color": "string"
    }
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

namestringrequired

Name

is_groupbooleanrequired

Is group

Default:false
parent_uuidstring

Parent uuid

Default:null
labelings_countnumberrequired

Labelings count

Default:0
descriptionstring

Description

Default:null
creator_uuidstring

Creator uuid

Default:null
colorstring

Color

Default:null
Response
{
  "uuid": "string",
  "name": "string",
  "is_group": false,
  "parent_uuid": null,
  "labelings_count": 0,
  "description": null,
  "creator_uuid": null,
  "color": null
}